@echo off

REM Rotate log files
REM
REM

REM Check for arguments
if "%1" == "" (
    echo Please specify the file to rotate.  Ex: rotatefiles.bat [filename] [number of files to keep]
    exit /b 1
)

if ("%2" == "" (
    echo Please specify the number of files to keep.  Ex: rotatefiles.bat [filename] [number of files to keep]
    exit /b 1
)

SET file=%1%.
SET /A maxNum=%2-1

REM If the specified file does not exist then end because there is no need to rotate
IF NOT EXIST %1 GOTO end;

REM Rotate files
REM

REM Advance each file to the next number.  Could not use a FOR loop because it would net re-set a variable each time during the loop

SET /A number=%2-1

:loop
SET /A nextNum=%number%+1

IF EXIST %file%%number%. ( MOVE /Y %file%%number% %file%%nextNum% )

SET /A number=%number%-1

IF %number%==0 ( GOTO endloop ) ELSE (GOTO loop)

:endloop

REM Make the current file the first in rotation
MOVE /Y %1 %file%1

:end
@echo on
